import { AutoMap } from '@automapper/classes';
import { IsNumber, Max, Min } from 'class-validator';

export class Coordinates {
  constructor(lon: number, lat: number) {
    this.lon = lon;
    this.lat = lat;
  }

  @IsNumber()
  @Min(-180)
  @Max(180)
  @AutoMap()
  lon: number;

  @IsNumber()
  @Min(-90)
  @Max(90)
  @AutoMap()
  lat: number;
}
