import { IRequestPerson } from '../../interfaces/person-request.interface';

export class Person {
  private personRequest: IRequestPerson;
  private defaultIdentifier: number;
  private defaultMarginDuration: number;
  identifier: number;
  marginDurations: number[];

  constructor(
    personRequest: IRequestPerson,
    defaultIdentifier: number,
    defaultMarginDuration: number,
  ) {
    this.personRequest = personRequest;
    this.defaultIdentifier = defaultIdentifier;
    this.defaultMarginDuration = defaultMarginDuration;
  }

  init = (): void => {
    this.setIdentifier(this.personRequest.identifier ?? this.defaultIdentifier);
    this.setMarginDurations([
      this.defaultMarginDuration,
      this.defaultMarginDuration,
      this.defaultMarginDuration,
      this.defaultMarginDuration,
      this.defaultMarginDuration,
      this.defaultMarginDuration,
      this.defaultMarginDuration,
    ]);
  };

  setIdentifier = (identifier: number): void => {
    this.identifier = identifier;
  };

  setMarginDurations = (marginDurations: number[]): void => {
    this.marginDurations = marginDurations;
  };
}
