import { MatchQuery } from 'src/modules/matcher/queries/match.query';
import { Processor } from '../processor/processor.abstract';
import { Candidate } from '../candidate';
import { Selector } from '../selector/selector.abstract';

export abstract class AlgorithmFactory {
  protected matchQuery: MatchQuery;
  private candidates: Candidate[];

  constructor(matchQuery: MatchQuery) {
    this.matchQuery = matchQuery;
    this.candidates = [];
  }

  abstract createSelector(): Selector;
  abstract createProcessors(): Processor[];
}
